@import '../gtk-3.0/libadwaita.css';

windowcontrols, headerbar.default-decoration windowcontrols { margin: 8px; }

windowcontrols > button, headerbar.default-decoration windowcontrols > button { min-height: 18px; min-width: 18px; margin: 1px; padding: 0; }

windowcontrols > button > image, headerbar.default-decoration windowcontrols > button > image { padding: 0; background-color: mix(shade(@headerbar_bg_color, 1.5), white, .1); background-image: -gtk-scaled(url("assets/titlebutton.png"), url("assets/titlebutton@2.png")); background-repeat: no-repeat; background-position: center; box-shadow: inset 0 0 0 1px rgba(0, 0, 0, 0.9); color: transparent; transition: all .2s; }

windowcontrols > button.close > image, headerbar.default-decoration windowcontrols > button.close > image { background-color: @accent_bg_color; box-shadow: inset 0 0 0 transparent; background-image: -gtk-scaled(url("assets/close-black.png"), url("assets/close-black@2.png")); }

windowcontrols > button:hover > image, windowcontrols > button:hover.minimize > image, windowcontrols > button:hover.maximize > image, windowcontrols > button:hover.close > image, headerbar.default-decoration windowcontrols > button:hover > image, headerbar.default-decoration windowcontrols > button:hover.minimize > image, headerbar.default-decoration windowcontrols > button:hover.maximize > image, headerbar.default-decoration windowcontrols > button:hover.close > image { box-shadow: 0 0 0 1px black; }

windowcontrols > button:hover.minimize > image, headerbar.default-decoration windowcontrols > button:hover.minimize > image { background-image: -gtk-scaled(url("assets/minimize-dark.png"), url("assets/minimize-dark@2.png")); }

windowcontrols > button:hover.maximize > image, headerbar.default-decoration windowcontrols > button:hover.maximize > image { background-image: -gtk-scaled(url("assets/maximize-dark.png"), url("assets/maximize-dark@2.png")); }

windowcontrols > button:hover.close > image, headerbar.default-decoration windowcontrols > button:hover.close > image { background-image: -gtk-scaled(url("assets/close-white.png"), url("assets/close-white@2.png")); }

windowcontrols > button:backdrop.maximize image, windowcontrols > button:backdrop.minimize image, windowcontrols > button:backdrop.close image, windowcontrols > button:backdrop:hover.maximize image, windowcontrols > button:backdrop:hover.minimize image, windowcontrols > button:backdrop:hover.close image, headerbar.default-decoration windowcontrols > button:backdrop.maximize image, headerbar.default-decoration windowcontrols > button:backdrop.minimize image, headerbar.default-decoration windowcontrols > button:backdrop.close image, headerbar.default-decoration windowcontrols > button:backdrop:hover.maximize image, headerbar.default-decoration windowcontrols > button:backdrop:hover.minimize image, headerbar.default-decoration windowcontrols > button:backdrop:hover.close image { background-color: mix(@headerbar_backdrop_color, black, 1); background-image: -gtk-scaled(url("assets/titlebutton.png"), url("assets/titlebutton@2.png")); box-shadow: inset 0 0 0 1px black; }

window headerbar > windowhandle { background-image: -gtk-scaled(url("assets/kali-headerbar-logo-dark.png"), url("assets/kali-headerbar-logo-dark@2.png")); background-position: 0 -7px; background-repeat: no-repeat; }

window .sidebar-pane headerbar > windowhandle { background-image: none; }

headerbar.default-decoration { min-height: 38px; }

headerbar.default-decoration > windowhandle { background-position: 0 -11px; }

/* GTK NAMED COLORS ---------------- use responsibly! */
@define-color destructive_bg_color @red_4;
@define-color destructive_fg_color white;
@define-color success_bg_color @green_5;
@define-color success_fg_color white;
@define-color warning_bg_color #cd9309;
@define-color warning_fg_color RGB(0 0 0 / 80%);
@define-color error_bg_color @red_4;
@define-color error_fg_color white;
@define-color accent_color oklab(from @accent_bg_color max(l, 0.85) a b);
@define-color destructive_color oklab(from @destructive_bg_color max(l, 0.85) a b);
@define-color success_color oklab(from @success_bg_color max(l, 0.85) a b);
@define-color warning_color oklab(from @warning_bg_color max(l, 0.85) a b);
@define-color error_color oklab(from @error_bg_color max(l, 0.85) a b);
@define-color window_bg_color #23252e;
@define-color window_fg_color white;
@define-color view_bg_color #272a34;
@define-color view_fg_color white;
@define-color headerbar_bg_color #1a1c23;
@define-color headerbar_fg_color white;
@define-color headerbar_border_color white;
@define-color headerbar_backdrop_color @view_bg_color;
@define-color headerbar_shade_color RGB(0 0 6/36%);
@define-color headerbar_darker_shade_color RGB(0 0 12/90%);
@define-color sidebar_bg_color #1a1c23;
@define-color sidebar_fg_color white;
@define-color sidebar_backdrop_color mix(@sidebar_bg_color, @window_bg_color, 0.5);
@define-color sidebar_shade_color RGB(0 0 6/25%);
@define-color sidebar_border_color RGB(0 0 6/36%);
@define-color secondary_sidebar_bg_color mix(@sidebar_bg_color, @window_bg_color, 0.5);
@define-color secondary_sidebar_fg_color white;
@define-color secondary_sidebar_backdrop_color mix(@secondary_sidebar_bg_color, @window_bg_color, 0.5);
@define-color secondary_sidebar_shade_color RGB(0 0 6/25%);
@define-color secondary_sidebar_border_color RGB(0 0 6/36%);
@define-color card_bg_color RGB(255 255 255/8%);
@define-color card_fg_color white;
@define-color card_shade_color RGB(0 0 6/36%);
@define-color dialog_bg_color #303340;
@define-color dialog_fg_color white;
@define-color popover_bg_color #303340;
@define-color popover_fg_color white;
@define-color popover_shade_color RGB(0 0 6/25%);
@define-color thumbnail_bg_color #303340;
@define-color thumbnail_fg_color white;
@define-color shade_color RGB(0 0 6/25%);
@define-color scrollbar_outline_color RGB(0 0 12/95%);
:root { --standalone-color-oklab: max(l, 0.85) a b; --accent-color: oklab(
    from var(--accent-bg-color) var(--standalone-color-oklab)
  ); --destructive-color: oklab(
    from var(--destructive-bg-color) var(--standalone-color-oklab)
  ); --success-color: oklab(
    from var(--success-bg-color) var(--standalone-color-oklab)
  ); --warning-color: oklab(
    from var(--warning-bg-color) var(--standalone-color-oklab)
  ); --error-color: oklab(
    from var(--error-bg-color) var(--standalone-color-oklab)
  ); --active-toggle-bg-color: rgb(255 255 255 / 20%); --active-toggle-fg-color: #ffffff; --overview-bg-color: #28282c; --overview-fg-color: #ffffff; }
